# vstree2tex(1)

## NAME

vstree2tex - pretty-print a virtual tree

## SYNOPSIS

*vstree2tex* [options] indexname

## DESCRIPTION

The program *vstree2tex* produces a representation of a virtual suffix tree
in LATEX format and print it to standard output. Note that *vstree2tex*
should only be used for very small indexes since it produces large output
files.

Suppose the total length of all sequences in the index is n. If the option
*-s* is not used, then the output size of *vstree2tex* is about 10n bytes
per option  (plus some constant number of bytes for the header and the footer
of the LATEX file). If the option *-s* is used, then the size of the output
is proportional to n^2. 

The program is mainly designed for debugging a program based on the index and
for educational purposes.

## OPTIONS

*-s*::
  Output suffixes.

*-tis*::
  Output tistab.

*-ois*::
  Output oistab.

*-suf*::
  Output suftab.

*-sti1*::
  Output small inverse suftab.

*-bwt*::
  Output bwttab.

*-bck*::
  Output bcktab in vertical mode.

*-bckhz*::
  Output bcktab in horizontal mode.

*-lcp*::
  Output lcptab.

*-skp*::
  Output skptab.

*-cfr*::
  Output cfrtab.

*-crf*::
  Output crftab.

*-lsf*::
  Output lsftab.

*-sti*::
  Output inverse suftab.

*-cld*::
  Output cldtab.

*-iso*::
  Output isotab.

*-version*::
  Show the version of the Vmatch package.

*-help*::
  Show help.